> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture

> `CAPTURE` a previous 'AUTHORIZTION'.  Capture up to the amount authorized
            
###Credit Card authorizations for merchants with tip adjust enabled can capture over the authorization amount.###



## OpenAPI

````yaml https://cdn.ecrypt.dev/swagger/gateway-swagger-v25.json post /v1/transactions/capture
openapi: 3.0.4
info:
  title: Ecrypt.Gateway.Api
  description: Ecrypt API
  contact:
    name: Ecrypt
    url: https://www.ecrypt.com/
    email: Engineering@Ecrypt.com
  version: 1.0.0.0
servers: []
security: []
paths:
  /v1/transactions/capture:
    post:
      tags:
        - Transactions
      summary: Capture
      description: "`CAPTURE` a previous 'AUTHORIZTION'.  Capture up to the amount authorized\r\n            \r\n###Credit Card authorizations for merchants with tip adjust enabled can capture over the authorization amount.###"
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCaptureRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCaptureRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCaptureRequest
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionCaptureRequest:
      required:
        - amount
        - transactionId
      type: object
      properties:
        transaction_id:
          minLength: 1
          pattern: ^[0-9]*$
          type: string
          description: "transactionid\r\nOriginal payment gateway transaction id"
        amount:
          maximum: 999999999.99
          minimum: 0.01
          type: number
          description: "amount\r\nTotal amount to be settled. This amount must be equal to or less than the original authorized amount.\r\nFormat: x.xx"
          format: double
        initiated_by_user_id:
          type: integer
          format: int64
          nullable: true
        reference_transaction_id:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Transactions.TransactionResponse:
      required:
        - requestId
      type: object
      properties:
        transaction_id:
          type: string
          nullable: true
        auth_code:
          type: string
          nullable: true
        response_code:
          type: string
          nullable: true
        response_text:
          type: string
          nullable: true
        latency:
          type: integer
          format: int32
        avs:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.AvsResponse
        cvv:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Transactions.CvvResponse
        amount:
          type: number
          format: double
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.ResponseBaseError
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Transactions.AvsResponse:
      type: object
      properties:
        code:
          type: string
          nullable: true
        text:
          type: string
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Transactions.CvvResponse:
      type: object
      properties:
        code:
          type: string
          nullable: true
        text:
          type: string
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.ResponseBaseError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false

````